#!/usr/bin/env cwl-runner

# This CWL file was automatically generated using CTDConverter.
# Visit https://github.com/WorkflowConversion/CTDConverter for more information.

baseCommand: four2three
class: CommandLineTool
cwlVersion: v1.0
doc: "This program converts four-letter sequences into three-letter sequences for\
  \ bisulfite sequence analysis.\n\n\n\nFor more information, visit http://www.seqan.de"
inputs:
- doc: Filename for output-file output file
  id: param_output-file_filename
  inputBinding:
    prefix: -output-file
  label: Filename for output-file output file
  type: string
- default: 'false'
  doc: Convert Gs to As, instead of Cs to Ts.
  id: param_ga-conversion
  inputBinding:
    prefix: -ga-conversion
  label: Convert Gs to As, instead of Cs to Ts.
  type:
  - 'null'
  - string
- default: 'false'
  doc: Set verbosity to a minimum.
  id: param_quiet
  inputBinding:
    prefix: -quiet
  label: Set verbosity to a minimum.
  type:
  - 'null'
  - string
- default: 'false'
  doc: Enable verbose output.
  id: param_verbose
  inputBinding:
    prefix: -verbose
  label: Enable verbose output.
  type:
  - 'null'
  - string
- default: 'false'
  doc: Enable very verbose output.
  id: param_very-verbose
  inputBinding:
    prefix: -very-verbose
  label: Enable very verbose output.
  type:
  - 'null'
  - string
- doc: A sequence file containing reads or genome.
  id: param_argument-0
  inputBinding:
    prefix: -argument-0
  label: A sequence file containing reads or genome.
  type: File
label: Four to three-letter alphabet reduction.
outputs:
- doc: Name of output file.
  id: param_output-file
  label: Name of output file.
  outputBinding:
    glob: $(inputs.param_output-file_filename)
  type: File
